<?PHP
/*/ H T T P : / / W W W . A L I L G . C O M   \*\
\*\ ***************************************** /*/
/*/  QQQQQQQ  QQQQ     QQQQ QQQQ      QQQQQQ  \*\
\*\ QQQQQQQQQ QQQQ     QQQQ QQQQ     QQQQQQQQ /*/
/*/ QQQ   QQQ QQQQ     QQQQ QQQQ     QQQQ  QQ \*\
\*\ QQQ   QQQ QQQQ     QQQQ QQQQ     QQQQ     /*/
/*/ QQQQQQQQQ QQQQ     QQQQ QQQQ     QQQQ     \*\
\*\ QQQ   QQQ QQQQ     QQQQ QQQQ     QQQQ QQQ /*/
/*/ QQQ   QQQ QQQQ     QQQQ QQQQ     QQQQ QQQ \*\
\*\ QQQ   QQQ QQQQQQQQ QQQQ QQQQQQQQ QQQQQQQQ /*/
/*/ QQQ   QQQ QQQQQQQQ QQQQ QQQQQQQQ  QQQQQQ  \*\
\*\ ***************************************** /*/
/*/ * Script name: alitalk                    \*\
\*\ * Version: 1.8                            /*/
/*/ * Author: Ali Razavi                      \*\
\*\ * Copyright all rights reserved           /*/
/*/ * HTTP://WWW.ALILG.COM/                   \*\
\*\ ***************************************** /*/
/*/ H T T P : / / W W W . A L I L G . C O M   \*\
\*\ ***************************************** /*/
/*/ This file may not be redistributed in     \*\
\*\ whole or significant part                 /*/
/*/ ***************************************** \*/
/*/ ***************************************** \*/
function get_current_location()
{
	global $_ENV, $_SERVER, $_POST;
	if(defined("MYBB_LOCATION"))
	{
		return MYBB_LOCATION;
	}
	if($_SERVER['REQUEST_URI'])
	{
		$location = $_SERVER['REQUEST_URI'];
	}
	elseif($ENV_['REQUEST_URI'])
	{
		$location = $ENV['REQUEST_URI'];
	}
	else
	{
		if($_SERVER['PATH_INFO'])
		{
			$location = $_SERVER['PATH_INFO'];
		}
		elseif($_ENV['PATH_INFO'])
		{
			$location = $_SERVER['PATH_INFO'];
		}
		elseif($_ENV['PHP_SELF'])
		{
			$location = $_ENV['PHP_SELF'];
		}
		else
		{
			$location = $_SERVER['PHP_SELF'];
		}
			if($_SERVER['QUERY_STRING'])
		{
			$location .= "?".$_SERVER['QUERY_STRING'];
		}
		elseif($_ENV['QUERY_STRING'])
		{
			$location = "?".$_ENV['QUERY_STRING'];
		}
	}

	if($_SERVER['REQUEST_METHOD'] == "POST" || $_ENV['REQUEST_METHOD'] == "POST")
	{
		if($_POST['action'])
		{
			$addloc[] = "action=".$_POST['action'];
		}
		if($_POST['fid'])
		{
			$addloc[] = "fid=".$_POST['fid'];
		}
		if($_POST['tid'])
		{
			$addloc[] = "tid=".$_POST['tid'];
		}
		if($_POST['pid'])
		{
			$addloc[] = "pid=".$_POST['pid'];
		}
		if($_POST['uid'])
		{
			$addloc[] ="uid=".$_POST['uid'];
		}
		if($_POST['eid'])
		{
			$addloc[] = "eid=".$_POST['eid'];
		}
		if(is_array($addloc))
		{
			$location .= "?".implode("&", $addloc);
		}
	}
	return $location;
}
?>